Std Edit: Difference between revisions

From FreeCAD Documentation
(Undo revision 1054239 by Roy 043 (talk))
Tag: Undo
(Minor Updates because of Std_UserEditMode.)
 
Line 30: Line 30:
# If no object is in edit mode: select a single object.
# If no object is in edit mode: select a single object.
# Select the {{MenuCommand|Edit → [[Image:Std_Edit.svg|16px]] Toggle Edit mode}} option from the menu.
# Select the {{MenuCommand|Edit → [[Image:Std_Edit.svg|16px]] Toggle Edit mode}} option from the menu.
# Either the edit mode of the selected object is activated or the existing edit mode deactivated.
# Either the default edit mode of the selected object is activated or the existing edit mode deactivated.


==Notes== <!--T:18-->
==Notes== <!--T:18-->
Line 38: Line 38:
* Not all object types have an edit mode.
* Not all object types have an edit mode.
* The functionality available in edit mode depends on the object type.
* The functionality available in edit mode depends on the object type.
* Edit mode can also be activated by double-clicking an object in the [[Tree_view|Tree view]].
* An object's edit mode can also be activated by double-clicking it in the [[Tree_view|Tree view]]. In that case the edit mode that is used can be defined with the [[Std_UserEditMode|Std UserEditMode]] command.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->

Latest revision as of 18:07, 11 October 2021

Std Edit

Menu location
Edit → Toggle Edit mode
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Std UserEditMode

Description

The Std Edit command activates or deactivates an object's edit mode.

Usage

  1. If no object is in edit mode: select a single object.
  2. Select the Edit → Toggle Edit mode option from the menu.
  3. Either the default edit mode of the selected object is activated or the existing edit mode deactivated.

Notes

  • Some tools will be disabled (greyed-out) in the user interface while an object's edit mode is active.
  • Not all object types have an edit mode.
  • The functionality available in edit mode depends on the object type.
  • An object's edit mode can also be activated by double-clicking it in the Tree view. In that case the edit mode that is used can be defined with the Std UserEditMode command.

Scripting

See also: FreeCAD Scripting Basics.

To activate an object's edit mode use the setEdit method of the document object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

The second argument is the EditMode. The following options are available:

0 = Default
1 = Transform
2 = Cutting
3 = Color

To deactivate an object's edit mode use the resetEdit method of the document object.

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()